<?php
if(!defined('OSTCLIENTINC') || !is_object($thisclient) || !is_object($ticket)) die('Kwaheri'); //bye..see ya
//Double check access one last time...
if(strcasecmp($thisclient->getEmail(),$ticket->getEmail())) die('Access Denied');

$info=($_POST && $errors)?Format::input($_POST):array(); //Re-use the post info on error...savekeyboards.org

$dept = $ticket->getDept();
//Making sure we don't leak out internal dept names
$dept=($dept && $dept->isPublic())?$dept:$cfg->getDefaultDept();
//We roll like that...
?>
<ul data-role="listview" data-inset="true">
 <li data-icon="info"><?=Format::htmlchars($ticket->getSubject())?></li>
</ul>

<ul data-role="listview" data-inset="true">
     <li data-icon="info"><a href="view.php?id=<?=$ticket->getExtId()?>">Ticket #  <?=$ticket->getExtId()?> </a></li>
     <li data-icon="info">Status:  <?=$ticket->getStatus()?></li>
     <li data-icon="info">Department:  <?=Format::htmlchars($dept->getName())?></li>
     <li data-icon="info">Create Date:  <?=Format::db_datetime($ticket->getCreateDate())?></li>
     <li data-icon="info">Name:  <?=Format::htmlchars($ticket->getName())?></li>
     <li data-icon="info">Email:  <?=$ticket->getEmail()?></li>
     <li data-icon="info">Phone:  <?=Format::phone($ticket->getPhoneNumber())?></li>
     <li data-icon="info">Subject:  <?=Format::htmlchars($ticket->getSubject())?></li>
</ul>     
     



<div>
    <h1>Ticket Thread</h1>
    <ul data-role="listview" data-theme="d" data-inset="true">
 
			                  <?
	    //get messages
        $sql='SELECT msg.*, count(attach_id) as attachments  FROM '.TICKET_MESSAGE_TABLE.' msg '.
            ' LEFT JOIN '.TICKET_ATTACHMENT_TABLE.' attach ON  msg.ticket_id=attach.ticket_id AND msg.msg_id=attach.ref_id AND ref_type=\'M\' '.
            ' WHERE  msg.ticket_id='.db_input($ticket->getId()).
            ' GROUP BY msg.msg_id ORDER BY created';
	    $msgres =db_query($sql);
	    while ($msg_row = db_fetch_array($msgres)):
		    ?>
			
			
			
			
 <li><?if($resp_row['attachments']>0){ ?>
                                <?=$ticket->getAttachmentStr($respID,'R')?>
                                                         
                                <?}?>
                                <?if($msg_row['attachments']>0){ ?>
                                <span class="ui-li-count">
                   <?=$ticket->getAttachmentStr($msg_row['msg_id'],'M')?> 
                                 </span>
                <?}?>
 
			<p><strong> <?=Format::db_daydatetime($msg_row['created'])?></strong></p>
			<p><?=Format::display($msg_row['message'])?> </p>
			
			</li>
 
 
 
 
 
 
 
            <?
      
            //get answers for messages
            $sql='SELECT resp.*,count(attach_id) as attachments FROM '.TICKET_RESPONSE_TABLE.' resp '.
            		' LEFT JOIN '.TICKET_ATTACHMENT_TABLE.' attach ON  resp.ticket_id=attach.ticket_id AND resp.response_id=attach.ref_id AND ref_type=\'R\' '.
            		' WHERE msg_id='.db_input($msg_row['msg_id']).' AND resp.ticket_id='.db_input($ticket->getId()).
            		' GROUP BY resp.response_id ORDER BY created';
            //echo $sql;
            $resp =db_query($sql);
            while ($resp_row = db_fetch_array($resp)) {
            	$respID=$resp_row['response_id'];
            	$name=$cfg->hideStaffName()?'staff':Format::htmlchars($resp_row['staff_name']);
            	?>
                			 
                			  
                                
			 
			 
			 <li><?=Format::display($resp_row['response'])?></li>
			 		    <?
		    } //endwhile...response loop.
            $msgid =$msg_row['msg_id'];
        endwhile; //message loop.
     ?>
    </ul>
    
</div>
<div>
    
<div>
    <?if($errors['err']) {?>
        <p id="errormessage"><?=$errors['err']?></p>
    <?}elseif($msg) {?>
        <p id="infomessage"><?=$msg?></p>
    <?}?>
</div>
    
    <div id="reply">
        <?if($ticket->isClosed()) {?>
        <div class="msg">Ticket will be reopened on message post</div>
        <?}?>
        <form data-ajax="false" action="view.php?id=<?=$id?>#reply" name="reply" method="post" enctype="multipart/form-data">
            <input type="hidden" name="id" value="<?=$ticket->getExtId()?>">
            <input type="hidden" name="respid" value="<?=$respID?>">
            <input type="hidden" name="a" value="postmessage">
            
            <div data-role="fieldcontain" class="ui-hide-label">
	        
	        <? if($errors['message']) {?> <div class="error"><strong>&nbsp;<?=$errors['message']?></strong></div><?}?>
	        <label for="message">Message</label>
                <textarea name="message" id="message" placeholder="Message"><?=$info['message']?></textarea>
            </div>
            
            <? if($cfg->allowOnlineAttachments()) {?>
            <div data-role="fieldcontain">
                <label for="attachment">Attach File</label>
                <input type="file" name="attachment" id="attachment" value="<?=$info['attachment']?>" /> 
                    <span class="error">&nbsp;<?=$errors['attachment']?></span>
            </div>
            <?}?>
            <div data-add-back-btn="true">
                <button type="submit" name="submit" value="Post Reply">Post Reply</button>
                
                <button data-rel="back" type="button" value="Cancel" onClick='window.location.href="view.php" '>Cancel</button>   
            </div>
        </form>
    </div>
</div>

