<?php
/*********************************************************************
    index.php

    Helpdesk landing page. Please customize it to fit your needs.

    Peter Rotich <peter@osticket.com>
    Copyright (c)  2006-2010 osTicket
    http://www.osticket.com

    Released under the GNU General Public License WITHOUT ANY WARRANTY.
    See LICENSE.TXT for details.

    vim: expandtab sw=4 ts=4 sts=4:
    $Id: $
**********************************************************************/
require('client.inc.php');
//We are only showing landing page to users who are not logged in.
if($thisclient && is_object($thisclient) && $thisclient->isValid()) {
    require('tickets.php');
    exit;
}


require(CLIENTINC_DIR.'header.inc.php');
?>
<h3>Open A New Ticket</h3>
 <p>Please provide as much detail as possible so we can best assist you. To update a previously submitted ticket, please use the form to the right.</p>
  <form method="link" action="open.php">
  <button type="submit" class="button" value="">Open New Ticket</button>
  </form>

  
  <h3>Check Ticket Status</h3>
  <form class="status_form" action="login.php" method="post">
   
   <div data-role="fieldcontain" class="ui-hide-label">  
      <label for="email">Email:</label>
      <input type="text" id="email" name="lemail" placeholder="email">
    </div>
   
    <div data-role="fieldcontain" class="ui-hide-label">  
     <label for="ticketId">Ticket#:</label>
     <input type="text" id="ticketId" name="lticket" placeholder="ticket #">
    </div>
    <button type="submit" class="button" value="" data-theme="a">Check Status</button>
   
  </form>
<?require(CLIENTINC_DIR.'footer.inc.php'); ?>
